Bug 190703 - ifconfig crashes when interface name is too long
ifconfig crashes when interface name is too long
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-tools (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks: 176344 234547
  Show dependency treegraph
 
Reported: 2006-05-04 12:03 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0241
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
net-tools-1.60-ifconfig-long-iface-crasher.patch (1011 bytes, patch)
2006-05-04 12:03 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-05-04 12:03:46 EDT
net-tools-1.60-37.EL4.7

1. Setup a VLAN
2. Use this VLAN to flood ping another machine
3. Check /proc/net/dev for the exceedlingly long interface name
4. Launch ifconfig, which will segfault

$ cat /proc/net/dev
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes  
packets errs drop fifo colls carrier compressed
   lo:   20867     144    0    0    0     0          0         0    20867   144
   0    0    0     0       0          0
 sit0:       0       0    0    0    0     0          0         0        0      
0    8    0    0     0       0          0
 eth0:1131879891 69384427    0    0    0     0          0    215248 1731173134
47617994    0    0    0     0       0          0
 hsi0:2505966433 29320782    0    0    0     0          0        33 3428513831
29321259    0    0    0     0       0          0
hsi0.100:336494932 3726417    0    0    0     0          0        33 2169909805
25594924    0    0    0     0       0          0 

I am not the author of the patch.
It should be very easy to reproduce the crasher by creating a fake /proc/net/dev
file with data equivalent to the one above.
Comment 1 Bastien Nocera 2006-05-04 12:03:48 EDT
Created attachment 128614 [details]
net-tools-1.60-ifconfig-long-iface-crasher.patch
Comment 2 Bastien Nocera 2006-05-05 04:36:06 EDT
Comment on attachment 128614 [details]
net-tools-1.60-ifconfig-long-iface-crasher.patch

Patch from Sachin P Sant <ssant@in.ibm.com>
Comment 3 Radek Vokal 2006-05-09 05:34:41 EDT
Patch applied on rawhide for futher testing (net-tools-1.60-70)
Comment 4 RHEL Product and Program Management 2006-08-18 12:00:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Red Hat Bugzilla 2007-05-01 19:52:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0241.html

Note You need to log in before you can comment on or make changes to this bug.